Subject: bug#14598: 24.3; global-hl-line-mode + text-scale-adjust + next-line + scrolling

From: E Sabof <[email-masked]>
Date: Sat, 15 Jun 2013 13:10:22 +0100

On Sat, Jun 15, 2013 at 12:55 PM, Eli Zaretskii <[email-masked]> wrote:

> > Date: Sat, 15 Jun 2013 12:45:43 +0100
> > From: E Sabof <[email-masked]>
> >
> > (setq auto-window-vscroll nil) seems to fix the particular problem. Would
> > it make sense to make it nil by default, and only turn it on in modes
> that
> > use images?
>
> I have no opinion on that.  In my experience, arguing about defaults
> is a waste of time.  Please note, however, that Emacs can display
> images in any mode, so I wouldn't know how to identify the "modes that
> use images".
>

One way to do it would be for modes to identify themselves, by setting
auto-window-vscroll to t.

A perhaps better approach might be to make auto-window-vscroll only act on
lines significantly larger than default height (x4?), and not on any line
with a non-standard height.